MuleEventContext (Mule ESB 2.2.1 API)
Keywords: org.mule.api.MuleEventContext interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api
Interface MuleEventContext

All Known Implementing Classes:
  DefaultMuleEventContext

    public interface MuleEventContext

`MuleEventContext` is the context object for the current request. Using the context, developers can send/dispatch/receive events programmatically as well as manage transactions.

Method Summary
`void` | `dispatchEvent(MuleMessage message)` This will dispatch an event asynchronously via the configured outbound endpoint on the service for this session
`void` | `dispatchEvent(MuleMessage message, EndpointURI endpoint)` Depending on the session state this methods either Passes an event asynchronously to the next available Mule component in the pool or via the endpoint configured for the event
`void` | `dispatchEvent(MuleMessage message, OutboundEndpoint endpoint)` Depending on the session state this methods either Passes an event asynchronously to the next available Mule component in the pool or via the endpoint configured for the event
`void` | `dispatchEvent(MuleMessage message, String endpointName)` Depending on the session state this methods either Passes an event asynchronously to the next available Mule component in the pool or via the endpoint configured for the event.
`void` | `dispatchEvent(Object payload)` This will dispatch an event asynchronously via the configured outbound endpoint on the service for this session
`Transaction` | `getCurrentTransaction()` Returns the current transaction (if any) for the session
`String` | `getEncoding()` Gets the encoding for the current message.
`EndpointURI` | `getEndpointURI()` Returns a reference to the Endpoint Uri for this context This is the endpoint on which the event was received
`MuleMessage` | `getMessage()` Returns the message payload for this event
`byte[]` | `getMessageAsBytes()` Returns the contents of the message as a byte array.
`String` | `getMessageAsString()` Returns the message contents as a string This method will use the encoding set on the event
`String` | `getMessageAsString(String encoding)` Returns the message contents as a string
`MuleContext` | `getMuleContext()`
`OutputStream` | `getOutputStream()` An outputstream the can optionally be used write response data to an incoming message.
`Service` | `getService()`
`MuleSession` | `getSession()`
`int` | `getTimeout()` Get the timeout value associated with the event
`Transaction` | `getTransaction()` Returns the transaction for the current event or null if there is no transaction in progresss
`boolean` | `isStopFurtherProcessing()` Determines whether the default processing for this event will be executed.
`boolean` | `isSynchronous()` Determines whether the was sent synchrounously or not
`void` | `markTransactionForRollback()` Mark the current transaction (if any) for rollback
`MuleMessage` | `requestEvent(EndpointURI endpoint, long timeout)` Requests a synchronous receive of an event on the service.
`MuleMessage` | `requestEvent(InboundEndpoint endpoint, long timeout)` Requests a synchronous receive of an event on the service.
`MuleMessage` | `requestEvent(String endpointName, long timeout)` Requests a synchronous receive of an event on the service.
`MuleMessage` | `sendEvent(MuleMessage message)` Depending on the session state this methods either Passes an event synchronously to the next available Mule component in the pool or via the endpoint configured for the event
`MuleMessage` | `sendEvent(MuleMessage message, EndpointURI endpoint)` Depending on the session state this methods either Passes an event synchronously to the next available Mule component in the pool or via the endpoint configured for the event
`MuleMessage` | `sendEvent(MuleMessage message, OutboundEndpoint endpoint)` Depending on the session state this methods either Passes an event synchronously to the next available Mule component in the pool or via the endpoint configured for the event
`MuleMessage` | `sendEvent(MuleMessage message, String endpointName)` Depending on the session state this methods either Passes an event synchronously to the next available Mule component in the pool or via the endpoint configured for the event
`MuleMessage` | `sendEvent(Object message)` This will send an event via the configured outbound router on the service
`FutureMessageResult` | `sendEventAsync(MuleMessage message, EndpointURI endpoint, int timeout)` sends an event request via the configured outbound router for this service.
`FutureMessageResult` | `sendEventAsync(MuleMessage message, int timeout)` sends an event request via the configured outbound router for this service.
`FutureMessageResult` | `sendEventAsync(MuleMessage message, String endpointName, int timeout)` sends an event request via the configured outbound router for this service.
`FutureMessageResult` | `sendEventAsync(Object message, int timeout)` sends an event request via the configured outbound router for this service.
`void` | `setStopFurtherProcessing(boolean stopFurtherProcessing)` Determines whether the default processing for this event will be executed.
`Object` | `transformMessage()` Returns the message transformed into it's recognised or expected format.
`Object` | `transformMessage(Class expectedType)` Returns the message transformed into it's recognised or expected format.
`byte[]` | `transformMessageToBytes()` Returns the message transformed into it's recognised or expected format and then into an array of bytes.
`String` | `transformMessageToString()` Returns the message transformed into it's recognised or expected format and then into a String.

Method Detail

### getMessage

    MuleMessage getMessage()

  Returns the message payload for this event

  Returns:
    the message payload for this event

### getMessageAsBytes

    byte[] getMessageAsBytes()
                             throws MuleException

  Returns the contents of the message as a byte array.

  Returns:
    the contents of the message as a byte array
  Throws:
    `MuleException` - if the message cannot be converted into an array of bytes

### transformMessage

    Object transformMessage()
                            throws TransformerException

  Returns the message transformed into it's recognised or expected format. The transformer used is the one configured on the endpoint through which this event was received.

  Returns:
    the message transformed into it's recognised or expected format.
  Throws:
    `TransformerException` - if a failure occurs in the transformer
  See Also:
    `Transformer`

### transformMessage

    Object transformMessage(Class expectedType)
                            throws TransformerException

  Returns the message transformed into it's recognised or expected format. The transformer used is the one configured on the endpoint through which this event was received.

  Parameters:
    `expectedType` - The class type required for the return object. This param just provides a convienient way to manage type casting of transformed objects
  Returns:
    the message transformed into it's recognised or expected format.
  Throws:
    `TransformerException` - if a failure occurs or if the return type is not the same as the expected type in the transformer
  See Also:
    `Transformer`

### transformMessageToBytes

    byte[] transformMessageToBytes()
                                   throws TransformerException

  Returns the message transformed into it's recognised or expected format and then into an array of bytes. The transformer used is the one configured on the endpoint through which this event was received.

  Returns:
    the message transformed into it's recognised or expected format as an array of bytes.
  Throws:
    `TransformerException` - if a failure occurs in the transformer
  See Also:
    `Transformer`

### transformMessageToString

    String transformMessageToString()
                                    throws TransformerException

  Returns the message transformed into it's recognised or expected format and then into a String. The transformer used is the one configured on the endpoint through which this event was received. This method will use the encoding set on the event

  Returns:
    the message transformed into it's recognised or expected format as a Strings.
  Throws:
    `TransformerException` - if a failure occurs in the transformer
  See Also:
    `Transformer`

### getMessageAsString

    String getMessageAsString()
                              throws MuleException

  Returns the message contents as a string This method will use the encoding set on the event

  Returns:
    the message contents as a string
  Throws:
    `MuleException` - if the message cannot be converted into a string

### getMessageAsString

    String getMessageAsString(String encoding)
                              throws MuleException

  Returns the message contents as a string

  Parameters:
    `encoding` - The encoding to use when transforming the message
  Returns:
    the message contents as a string
  Throws:
    `MuleException` - if the message cannot be converted into a string

### getCurrentTransaction

    Transaction getCurrentTransaction()

  Returns the current transaction (if any) for the session

  Returns:
    the current transaction for the session or null if there is no transaction in progress

### markTransactionForRollback

    void markTransactionForRollback()
                                    throws TransactionException

  Mark the current transaction (if any) for rollback

  Throws:
    `TransactionException`

### sendEvent

    MuleMessage sendEvent(Object message)
                          throws MuleException

  This will send an event via the configured outbound router on the service

  Parameters:
    `message` - the message to send
  Returns:
    the result of the send if any
  Throws:
    `MuleException` - if there is no outbound endpoint configured on the service or the events fails during dispatch

### sendEvent

    MuleMessage sendEvent(MuleMessage message)
                          throws MuleException

  Depending on the session state this methods either Passes an event synchronously to the next available Mule component in the pool or via the endpoint configured for the event

  Parameters:
    `message` - the message payload to send
  Returns:
    the return Message from the call or null if there was no result
  Throws:
    `MuleException` - if the event fails to be processed by the service or the transport for the endpoint

### sendEvent

    MuleMessage sendEvent(MuleMessage message,
                          EndpointURI endpoint)
                          throws MuleException

  Depending on the session state this methods either Passes an event synchronously to the next available Mule component in the pool or via the endpoint configured for the event

  Parameters:
    `message` - the event message payload to send
    `endpoint` - The endpointUri to disptch the event through
  Returns:
    the return Message from the call or null if there was no result
  Throws:
    `MuleException` - if the event fails to be processed by the service or the transport for the endpoint

### sendEvent

    MuleMessage sendEvent(MuleMessage message,
                          String endpointName)
                          throws MuleException

  Depending on the session state this methods either Passes an event synchronously to the next available Mule component in the pool or via the endpoint configured for the event

  Parameters:
    `message` - the event message payload to send
    `endpointName` - The endpoint name to disptch the event through. This will be looked up first on the service configuration and then on the mule manager configuration
  Returns:
    the return Message from the call or null if there was no result
  Throws:
    `MuleException` - if the event fails to be processed by the service or the transport for the endpoint

### sendEvent

    MuleMessage sendEvent(MuleMessage message,
                          OutboundEndpoint endpoint)
                          throws MuleException

  Depending on the session state this methods either Passes an event synchronously to the next available Mule component in the pool or via the endpoint configured for the event

  Parameters:
    `message` - the event message payload to send
    `endpoint` - The endpoint to disptch the event through.
  Returns:
    the return Message from the call or null if there was no result
  Throws:
    `MuleException` - if the event fails to be processed by the service or the transport for the endpoint

### sendEventAsync

    FutureMessageResult sendEventAsync(Object message,
                                       int timeout)
                                       throws MuleException

  sends an event request via the configured outbound router for this service. This method return immediately, but the result of the event invocation available from the returned a Future result that can be accessed later by the the returned FutureMessageResult. the Future messageResult can be queried at any time to check that the invocation has completed. A timeout is associated with the invocation, which is the maximum time in milli-seconds that the invocation should take to complete

  Parameters:
    `message` - the object that is the payload of the event
    `timeout` - how long to block in milliseconds waiting for a result
  Returns:
    the result message if any of the invocation
  Throws:
    `MuleException` - if the dispatch fails or the components or transfromers cannot be found
  See Also:
    `FutureMessageResult`

### sendEventAsync

    FutureMessageResult sendEventAsync(MuleMessage message,
                                       int timeout)
                                       throws MuleException

  sends an event request via the configured outbound router for this service. This method return immediately, but the result of the event invocation available from the returned a Future result that can be accessed later by the the returned FutureMessageResult. the Future messageResult can be queried at any time to check that the invocation has completed. A timeout is associated with the invocation, which is the maximum time in milli-seconds that the invocation should take to complete

  Parameters:
    `message` - the MuleMessage of the event
    `timeout` - how long to block in milliseconds waiting for a result
  Returns:
    the result message if any of the invocation
  Throws:
    `MuleException` - if the dispatch fails or the components or transfromers cannot be found
  See Also:
    `FutureMessageResult`

### sendEventAsync

    FutureMessageResult sendEventAsync(MuleMessage message,
                                       EndpointURI endpoint,
                                       int timeout)
                                       throws MuleException

  sends an event request via the configured outbound router for this service. This method return immediately, but the result of the event invocation available from the returned a Future result that can be accessed later by the the returned FutureMessageResult. the Future messageResult can be queried at any time to check that the invocation has completed. A timeout is associated with the invocation, which is the maximum time in milli-seconds that the invocation should take to complete

  Parameters:
    `message` - the MuleMessage of the event
    `endpoint` - the endpointUri to dispatch to
    `timeout` - how long to block in milliseconds waiting for a result
  Returns:
    the result message if any of the invocation
  Throws:
    `MuleException` - if the dispatch fails or the components or transfromers cannot be found
  See Also:
    `FutureMessageResult`

### sendEventAsync

    FutureMessageResult sendEventAsync(MuleMessage message,
                                       String endpointName,
                                       int timeout)
                                       throws MuleException

  sends an event request via the configured outbound router for this service. This method return immediately, but the result of the event invocation available from the returned a Future result that can be accessed later by the the returned FutureMessageResult. the Future messageResult can be queried at any time to check that the invocation has completed. A timeout is associated with the invocation, which is the maximum time in milli-seconds that the invocation should take to complete

  Parameters:
    `message` - the MuleMessage of the event
    `endpointName` - The endpoint name to disptch the event through. This will be looked up first on the service configuration and then on the mule manager configuration
    `timeout` - how long to block in milliseconds waiting for a result
  Returns:
    the result message if any of the invocation
  Throws:
    `MuleException` - if the dispatch fails or the components or transfromers cannot be found
  See Also:
    `FutureMessageResult`

### dispatchEvent

    void dispatchEvent(MuleMessage message)
                       throws MuleException

  This will dispatch an event asynchronously via the configured outbound endpoint on the service for this session

  Parameters:
    `message` - the message to send
  Throws:
    `MuleException` - if there is no outbound endpoint configured on the service or the events fails during dispatch

### dispatchEvent

    void dispatchEvent(Object payload)
                       throws MuleException

  This will dispatch an event asynchronously via the configured outbound endpoint on the service for this session

  Parameters:
    `payload` - the message payloadto send
  Throws:
    `MuleException` - if there is no outbound endpoint configured on the service or the events fails during dispatch

### dispatchEvent

    void dispatchEvent(MuleMessage message,
                       EndpointURI endpoint)
                       throws MuleException

  Depending on the session state this methods either Passes an event asynchronously to the next available Mule component in the pool or via the endpoint configured for the event

  Parameters:
    `message` - the event message payload to send
    `endpoint` - the endpointUri to dispatc the event to first on the service configuration and then on the mule manager configuration
  Throws:
    `MuleException` - if the event fails to be processed by the service or the transport for the endpoint

### dispatchEvent

    void dispatchEvent(MuleMessage message,
                       String endpointName)
                       throws MuleException

  Depending on the session state this methods either Passes an event asynchronously to the next available Mule component in the pool or via the endpoint configured for the event.

  Parameters:
    `message` - the event message payload to send
    `endpointName` - The endpoint name to disptch the event through. This will be looked up first on the service configuration and then on the mule manager configuration
  Throws:
    `MuleException` - if the event fails to be processed by the service or the transport for the endpoint

### dispatchEvent

    void dispatchEvent(MuleMessage message,
                       OutboundEndpoint endpoint)
                       throws MuleException

  Depending on the session state this methods either Passes an event asynchronously to the next available Mule component in the pool or via the endpoint configured for the event

  Parameters:
    `message` - the event message payload to send
    `endpoint` - The endpoint name to disptch the event through.
  Throws:
    `MuleException` - if the event fails to be processed by the service or the transport for the endpoint

### requestEvent

    MuleMessage requestEvent(InboundEndpoint endpoint,
                             long timeout)
                             throws MuleException

  Requests a synchronous receive of an event on the service.

  Parameters:
    `endpoint` - the endpoint identifying the endpointUri on which the event will be received
    `timeout` - time in milliseconds before the request times out
  Returns:
    The requested event or null if the request times out
  Throws:
    `MuleException` - if the request operation fails

### requestEvent

    MuleMessage requestEvent(String endpointName,
                             long timeout)
                             throws MuleException

  Requests a synchronous receive of an event on the service.

  Parameters:
    `endpointName` - the endpoint identifying the endpointUri on which the event will be received
    `timeout` - time in milliseconds before the request timesout
  Returns:
    The requested event or null if the request times out
  Throws:
    `MuleException` - if the request operation fails

### requestEvent

    MuleMessage requestEvent(EndpointURI endpoint,
                             long timeout)
                             throws MuleException

  Requests a synchronous receive of an event on the service.

  Parameters:
    `endpoint` - the endpointUri on which the event will be received
    `timeout` - time in milliseconds before the request timesout
  Returns:
    The requested event or null if the request times out
  Throws:
    `MuleException` - if the request operation fails

### getService

    Service getService()

### isStopFurtherProcessing

    boolean isStopFurtherProcessing()

  Determines whether the default processing for this event will be executed. By default, the Mule server will route events according to a components configuration. The user can override this behaviour by obtaining a reference to the MuleEvent context, either by implementing `org.mule.api.lifecycle.Callable` or calling `RequestContext.getEventContext` to obtain the MuleEventContext for the current thread. The user can programmatically control how events are dispached.

  Returns:
    Returns true is the user has set stopFurtherProcessing.
  See Also:
    `MuleContext`, `MuleEventContext`, `Callable`

### setStopFurtherProcessing

    void setStopFurtherProcessing(boolean stopFurtherProcessing)

  Determines whether the default processing for this event will be executed. By default, the Mule server will route events according to a components configuration. The user can override this behaviour by obtaining a reference to the MuleEvent context, either by implementing `org.mule.api.lifecycle.Callable` or calling `UMOManager.getEventContext` to obtain the MuleEventContext for the current thread. The user can programmatically control how events are dispached.

  Parameters:
    `stopFurtherProcessing` - the value to set.

### getOutputStream

    OutputStream getOutputStream()

  An outputstream the can optionally be used write response data to an incoming message.

  Returns:
    an output strem if one has been made available by the message receiver that received the message

### isSynchronous

    boolean isSynchronous()

  Determines whether the was sent synchrounously or not

  Returns:
    true if the event is synchronous

### getEndpointURI

    EndpointURI getEndpointURI()

  Returns a reference to the Endpoint Uri for this context This is the endpoint on which the event was received

  Returns:
    the receive endpoint for this event context

### getTransaction

    Transaction getTransaction()

  Returns the transaction for the current event or null if there is no transaction in progresss

  Returns:
    the transaction for the current event or null if there is no transaction in progresss

### getTimeout

    int getTimeout()

  Get the timeout value associated with the event

  Returns:
    the timeout for the event

### getEncoding

    String getEncoding()

  Gets the encoding for the current message. For potocols that send encoding Information with the message, this method should be overriden to expose the transport encoding, otherwise the default encoding in the Mule configuration will be used

  Returns:
    the encoding for this message. This method must never return null

### getSession

    MuleSession getSession()

### getMuleContext

    MuleContext getMuleContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.